Package org.springframework.security.acls.jdbc

# Interface LookupStrategy

All Known Implementing Classes:
  `BasicLookupStrategy`

public interface LookupStrategy
Performs lookups for `AclService`.

## Method Summary

Modifier and Type
Method
Description
`Map<ObjectIdentity,Acl>`
`readAclsById(List<ObjectIdentity> objects, List<Sid> sids)`
Perform database-specific optimized lookup.

## Method Details

### readAclsById

Map<ObjectIdentity,Acl> readAclsById(List<ObjectIdentity> objects, List<Sid> sids)
Perform database-specific optimized lookup.

Parameters:
  `objects` - the identities to lookup (required)
  `sids` - the SIDs for which identities are required (may be `null` - implementations may elect not to provide SID optimisations)
Returns:
  a `Map` where keys represent the `ObjectIdentity` of the located `Acl` and values are the located `Acl` (never `null` although some entries may be missing; this method should not throw `NotFoundException`, as a chain of `LookupStrategy`s may be used to automatically create entries if required)